Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Opensuse 13.2 - Yast broken

  1. #1

    Default Opensuse 13.2 - Yast broken

    Hello guys.

    I am new to the forum, and i need some help.

    I cannot use yast applications anymore. For example, i am trying to configure my keyboard again, cause it keeps rolling back to the default cnfg, and i am getting an error. See below:

    Cannot execute command '/sbin/yast2 keyboard'.

    It looks like it started after an update.....

    here is some information that could help



    :~> zypper lr -d
    # | Alias | Name | Enabled | GPG Check | Refresh | Priori
    ty | Type | URI | Service
    ---------------------+---------------------------+------------------------------------+-----------------------+----------------------------+---------+-------
    ---+----------+-------------------------------------------------------------------------------------+--------
    1 | GNOME:Apps | GNOME:Apps | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositor
    ies/GNOME:/Apps/openSUSE_Factory/ |
    2 | GNS3 | GNS3 | Yes | ( p) Yes | No | 99 | rpm-md | http://download.opensuse.org/repositor
    ies/home:/anubisg1:/networking/openSUSE_13.2/ |
    3 | Insync | Insync | Yes | ( p) Yes | Yes | 99 | plaindir | dir:///home/gfc/sources/Insync
    |
    4 | openSUSE-13.2-0 | openSUSE-13.2-0 | No | ---- | No | 99 | yast2 | hd:///?device=/dev/disk/by-id/scsi-200
    01020000060804-part1 |
    5 | openSUSE:13.2:Update | openSUSE:13.2:Update | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/ports/upd
    ate/13.2/ |
    6 | openSUSE:Factory | openSUSE:Factory | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensuse.org/tumblewee
    d/repo/oss/ |
    7 | repo-debug | openSUSE-13.2-Debug | Yes | ( p) Yes | No | 99 | yast2 | http://download.opensuse.org/debug/dis
    tribution/13.2/repo/oss/ |
    8 | repo-debug-update | openSUSE-13.2-Update-Debug | No | ---- | No | 99 | rpm-md | http://download.opensuse.org/debug/upd
    ate/13.2/ |
    9 | repo-debug-update-non-oss | openSUSE-13.2-Update-Debug-Non-Oss | Yes | ( p) Yes | No | 99 | rpm-md | http://download.opensuse.org/debug/upd
    ate/13.2-non-oss/ |
    10 | repo-non-oss | openSUSE-13.2-Non-Oss | Yes | ( p) Yes | No | 99 | yast2 | http://download.opensuse.org/distribut
    ion/13.2/repo/non-oss/ |
    11 | repo-oss | openSUSE-13.2-Oss | Yes | ( p) Yes | No | 99 | yast2 | http://download.opensuse.org/distribut
    ion/13.2/repo/oss/ |
    12 | repo-source | openSUSE-13.2-Source | Yes | ( p) Yes | No | 99 | yast2 | http://download.opensuse.org/source/di
    stribution/13.2/repo/oss/ |
    13 | repo-update | openSUSE-13.2-Update | Yes | ( p) Yes | No | 99 | rpm-md | http://download.opensuse.org/update/13
    .2/ |
    14 | repo-update-non-oss | openSUSE-13.2-Update-Non-Oss | Yes | ( p) Yes | No | 99 | rpm-md | http://download.opensuse.org/update/13
    .2-non-oss/


    xxxx


    gfc@opensuse:~> uname -or
    3.16.7-24-desktop GNU/Linux


    Thanks in advance, if needed i can post more information about my machine

    btw, i have a new dell latitude 5xxx


  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,616
    Blog Entries
    3

    Default Re: Opensuse 13.2 - Yast broken

    Why do you have the factory repo configured? That is likely the cause of your problem.

    Remove or disable that repo. Then, from a root command line, run "zypper dup" to get everything back to the 13.2 versions.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  3. #3

    Default Re: Opensuse 13.2 - Yast broken

    Quote Originally Posted by nrickert View Post
    Why do you have the factory repo configured? That is likely the cause of your problem.

    Remove or disable that repo. Then, from a root command line, run "zypper dup" to get everything back to the 13.2 versions.

    Ok. I will try to do that and i will let you know.


    Thanks in advance !!!

  4. #4

    Default Re: Opensuse 13.2 - Yast broken

    Quote Originally Posted by nrickert View Post
    Why do you have the factory repo configured? That is likely the cause of your problem.

    Remove or disable that repo. Then, from a root command line, run "zypper dup" to get everything back to the 13.2 versions.
    Hey dude..

    I did what you asked and the weirdest thing happened.

    After the rollback and the reboot, my opensuse looked like from the 80´s !!! The Desktop had a PURPLE wallpaper, and the icons had a really old style.... LOL Seriously.... So bad that i could not even take a print screen of it !!!

    Anyway, this time i copuld not even recover the system using snapper.... The system didnt allowed me to do anything....

    Luckily i have my partitions set, so i will go for a fresh install....

    I still dont understand much about the REPOs.... Could you send me a link explaining which one i should have for a SAFE updates and future upgrades ?

    anyway.... thank you a lot for your help !!

    cheers

  5. #5
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,743

    Default Re: Opensuse 13.2 - Yast broken

    If you don't understand stay away from any repo that has factory in it's name. Factory is where things are built and may at any time have incompatible packages to your OS in it. If you install things from private/personal repos do not keep them active since that person may add incompatible things at any time which may break your OS.

  6. #6

    Default Re: Opensuse 13.2 - Yast broken

    Could anyone tell me what is this REPO #5 ??

    its giving me some errors when i update the system.... now i have a fresh install. Should i remove it ?

    Thanks in advance



    linux-0xvq:/home/ # zypper lr -d
    # | Alias | Name | Enabled | GPG Check |
    Refresh | Priority | Type | URI | Service
    --------------------+----------------------------------+----------------------------+-----------------------+----------------------------+
    ---------+----------+--------+-------------------------------------------------------------------------------------+--------
    1 | GNS3 | GNS3 | Yes | (r ) Yes | No | 99 | rpm-md | http://download.opensus
    e.org/repositories/home:/anubisg1:/networking/openSUSE_13.2/ |
    2 | download.opensuse.org-non-oss | Main Repository (NON-OSS) | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensus
    e.org/tumbleweed/repo/non-oss/ |
    3 | download.opensuse.org-oss | Main Repository (OSS) | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensus
    e.org/tumbleweed/repo/oss/ |
    4 | download.opensuse.org-tumbleweed | Main Update Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensus
    e.org/update/tumbleweed/ |
    5 | openSUSE-20151002-0 | openSUSE-20151002-0 | Yes | (r ) Yes | Yes | 99 | yast2 | hd:///?device=/dev/disk
    /by-id/scsi-20001020000060804-part1 |
    6 | repo-debug | openSUSE-Tumbleweed-Debug | No | ---- | Yes | 99 | NONE | http://download.opensus
    e.org/debug/tumbleweed/repo/oss/ |
    7 | repo-source | openSUSE-Tumbleweed-Source | No | ---- | Yes | 99 | NONE | http://download.opensus
    e.org/source/tumbleweed/repo/oss/

  7. #7

    Default AW: Re: Opensuse 13.2 - Yast broken

    Quote Originally Posted by GFC_SUSE View Post
    Could anyone tell me what is this REPO #5 ??
    It's your installation medium.

    its giving me some errors when i update the system.... now i have a fresh install. Should i remove it ?
    Yes, or disable it.
    Otherwise you have to insert/connect it to avoid errors.

    linux-0xvq:/home/ # zypper lr -d
    # | Alias | Name | Enabled | GPG Check |
    Refresh | Priority | Type | URI | Service
    --------------------+----------------------------------+----------------------------+-----------------------+----------------------------+
    ---------+----------+--------+-------------------------------------------------------------------------------------+--------
    1 | GNS3 | GNS3 | Yes | (r ) Yes | No | 99 | rpm-md | http://download.opensus
    e.org/repositories/home:/anubisg1:/networking/openSUSE_13.2/ |
    2 | download.opensuse.org-non-oss | Main Repository (NON-OSS) | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensus
    e.org/tumbleweed/repo/non-oss/ |
    3 | download.opensuse.org-oss | Main Repository (OSS) | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensus
    e.org/tumbleweed/repo/oss/ |
    4 | download.opensuse.org-tumbleweed | Main Update Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensus
    e.org/update/tumbleweed/ |
    5 | openSUSE-20151002-0 | openSUSE-20151002-0 | Yes | (r ) Yes | Yes | 99 | yast2 | hd:///?device=/dev/disk
    /by-id/scsi-20001020000060804-part1 |
    6 | repo-debug | openSUSE-Tumbleweed-Debug | No | ---- | Yes | 99 | NONE | http://download.opensus
    e.org/debug/tumbleweed/repo/oss/ |
    7 | repo-source | openSUSE-Tumbleweed-Source | No | ---- | Yes | 99 | NONE | http://download.opensus
    e.org/source/tumbleweed/repo/oss/
    I hope you are aware that you are using Tumbleweed, the rolling distribution, now? Not 13.2?
    You should adapt repo #1's URL to have "openSUSE_Factory" instead of "openSUSE_13.2" then.

  8. #8

    Default Re: AW: Re: Opensuse 13.2 - Yast broken

    Quote Originally Posted by wolfi323 View Post
    It's your installation medium.


    Yes, or disable it.
    Otherwise you have to insert/connect it to avoid errors. OK


    I hope you are aware that you are using Tumbleweed, the rolling distribution, now? Not 13.2?
    You should adapt repo #1's URL to have "openSUSE_Factory" instead of "openSUSE_13.2" then.

    Yes.. that first REPO is for a software that i already installed and its working fine, i can disable it. Dont need updates !!

    I chose TUmbleweed this time to see how its going.... I screw up in the past, because i didnt know abour the REPOs details...

    People here are advising me to remove all factory repos, to avoid problems in the future...

    thank you

  9. #9

    Default Re: Opensuse 13.2 - Yast broken

    Quote Originally Posted by GFC_SUSE View Post
    People here are advising me to remove all factory repos, to avoid problems in the future...
    Yes, you should not use Factory repos (and especially the main Factory/Tumbleweed repo) on 13.2.

    But now you are in fact using Factory (Tumbleweed is just the name of the *published* Factory), so you should *only* use Factory/Tumbleweed repos now, not ones for 13.2 or any other release.

  10. #10

    Default Re: Opensuse 13.2 - Yast broken

    So.. i guess i should be fine now, at least regarding the REPOS


    c # zypper lr -d
    # | Alias | Name | Enabled | GPG Check |
    Refresh | Priority | Type | URI | Service
    --------------------+----------------------------------+----------------------------+-----------------------+----------------------------+
    ---------+----------+--------+-------------------------------------------------------------------------------------+--------
    1 | GNS3 | GNS3 | No | ---- | No | 99 | rpm-md | http://download.opensus
    e.org/repositories/home:/anubisg1:/networking/openSUSE_13.2/ |
    2 | download.opensuse.org-non-oss | Main Repository (NON-OSS) | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensus
    e.org/tumbleweed/repo/non-oss/ |
    3 | download.opensuse.org-oss | Main Repository (OSS) | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensus
    e.org/tumbleweed/repo/oss/ |
    4 | download.opensuse.org-tumbleweed | Main Update Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensus
    e.org/update/tumbleweed/ |
    5 | openSUSE-20151002-0 | openSUSE-20151002-0 | No | ---- | No | 99 | yast2 | hd:///?device=/dev/disk
    /by-id/scsi-20001020000060804-part1 |
    6 | repo-debug | openSUSE-Tumbleweed-Debug | No | ---- | Yes | 99 | NONE | http://download.opensus
    e.org/debug/tumbleweed/repo/oss/ |
    7 | repo-source | openSUSE-Tumbleweed-Source | No | ---- | Yes | 99 | NONE | http://download.opensus
    e.org/source/tumbleweed/repo/oss/ |

    tkx

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •